org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectFromAndJoin

All Superinterfaces:
  SelectBuilder.BuildSelect, SelectBuilder.SelectFrom, SelectBuilder.SelectFromAndOrderBy, SelectBuilder.SelectJoin, SelectBuilder.SelectLimitOffset, SelectBuilder.SelectLock, SelectBuilder.SelectOrdered, SelectBuilder.SelectWhere

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectFromAndJoin
    extends SelectBuilder.SelectFromAndOrderBy, SelectBuilder.BuildSelect, SelectBuilder.SelectJoin, SelectBuilder.SelectWhere, SelectBuilder.SelectLimitOffset, SelectBuilder.SelectLock

Builder exposing `FROM`, `JOIN`, `WHERE`, `LIMIT/OFFSET` and `LOCK` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectFromAndJoin` `from(Collection<? extends Table> tables)` Declare one or more `Table`s to `SELECT … FROM`.
`SelectBuilder.SelectFromAndJoin` `from(Table... tables)` Declare one or more `Table`s to `SELECT … FROM`.
`SelectBuilder.SelectFromAndJoin` `from(Table table)` Declare a `Table` to `SELECT … FROM`.
`SelectBuilder.SelectFromAndJoin` `limit(long limit)` Apply a limit of rows to read.
`SelectBuilder.SelectFromAndJoin` `limitOffset(long limit, long offset)` Apply `limit` and `offset` parameters to the select statement.
`SelectBuilder.SelectFromAndJoin` `offset(long offset)` Apply an offset where to start reading rows.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectFromAndOrderBy

`from, orderBy, orderBy, orderBy`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectJoin

`join, join, leftOuterJoin`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectWhere

`where`

### Method Detail

#### from

    SelectBuilder.SelectFromAndJoin from(Table table)

Declare a `Table` to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Specified by:
  `from` in interface `SelectBuilder.SelectFrom`
Specified by:
  `from` in interface `SelectBuilder.SelectFromAndOrderBy`
Parameters:
  `table` - the table to `SELECT … FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`

#### from

    SelectBuilder.SelectFromAndJoin from(Table... tables)

Declare one or more `Table`s to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Specified by:
  `from` in interface `SelectBuilder.SelectFrom`
Specified by:
  `from` in interface `SelectBuilder.SelectFromAndOrderBy`
Parameters:
  `tables` - the tables to `SELECT … FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`

#### from

    SelectBuilder.SelectFromAndJoin from(Collection<? extends Table> tables)

Declare one or more `Table`s to `SELECT … FROM`. Multiple calls to this or other `from` methods keep adding items to the select list and do not replace previously contained items.

Specified by:
  `from` in interface `SelectBuilder.SelectFrom`
Specified by:
  `from` in interface `SelectBuilder.SelectFromAndOrderBy`
Parameters:
  `tables` - the tables to `SELECT … FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`

#### limitOffset

    SelectBuilder.SelectFromAndJoin limitOffset(long limit,
                                                long offset)

Apply `limit` and `offset` parameters to the select statement. To read the first 20 rows from start use `limitOffset(20, 0)`. to read the next 20 use `limitOffset(20, 20)`.

Specified by:
  `limitOffset` in interface `SelectBuilder.SelectFromAndOrderBy`
Specified by:
  `limitOffset` in interface `SelectBuilder.SelectLimitOffset`
Parameters:
  `limit` - rows to read.
  `offset` - row offset, zero-based.
Returns:
  `this` builder.

#### limit

    SelectBuilder.SelectFromAndJoin limit(long limit)

Apply a limit of rows to read.

Specified by:
  `limit` in interface `SelectBuilder.SelectFromAndOrderBy`
Specified by:
  `limit` in interface `SelectBuilder.SelectLimitOffset`
Parameters:
  `limit` - rows to read.
Returns:
  `this` builder.

#### offset

    SelectBuilder.SelectFromAndJoin offset(long offset)

Apply an offset where to start reading rows.

Specified by:
  `offset` in interface `SelectBuilder.SelectFromAndOrderBy`
Specified by:
  `offset` in interface `SelectBuilder.SelectLimitOffset`
Parameters:
  `offset` - start offset.
Returns:
  `this` builder.